cabal install network was: Re: ANNOUNCE: GHC 7.0.2 Release Candidate 2

Christian Maeder Christian.Maeder at
Mon Feb 21 13:18:56 CET 2011

Am 21.02.2011 13:03, schrieb Max Bolingbroke:
> On 21 February 2011 11:50, Christian Maeder <Christian.Maeder at> wrote:
>> The problem (below) is caused by the new flags
>>  -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5
>> inside hsc2hs that have been added to fix
>> ./configure for the network package does not use these flags. So
>> AI_NUMERICSERV is defined for 10.6 but not for 10.5.
> I filed a bug against network for this issue ages ago:

I thought the 10.5 flags have been added to hsc2hs just recently.
The problem is solved when removing them from hsc2hs.

Maybe for GHC.framework/Versions/ the -isysroot flag crept
in differently.


> It looks like it wasn't fixed after all :-(
> Max

More information about the Glasgow-haskell-users mailing list